CREATE TABLE fun_bu_service_providers (
    CLIENT_BU_ORG_ID          NUMBER(18, 0),
    UPSTREAM_FUNCTION_ID      NUMBER(18, 0),
    DOWNSTREAM_FUNCTION_ID    NUMBER(18, 0),
    PROVIDER_BU_ORG_ID        NUMBER(18, 0),
    ANY_PROVIDERS_FLAG        VARCHAR2(4)      NOT NULL,
    DEFAULT_FLAG              VARCHAR2(4)      NOT NULL,
    ACTIVE_FLAG               VARCHAR2(4)      NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CLIENT_BU_ORG_ID          NUMBER(18, 0),
    UPSTREAM_FUNCTION_ID      NUMBER(18, 0),
    DOWNSTREAM_FUNCTION_ID    NUMBER(18, 0),
    PROVIDER_BU_ORG_ID        NUMBER(18, 0),
    ANY_PROVIDERS_FLAG        VARCHAR2(4)      NOT NULL,
    DEFAULT_FLAG              VARCHAR2(4)      NOT NULL,
    ACTIVE_FLAG               VARCHAR2(4)      NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CONSTRAINT pk_fun_bu_service_providers PRIMARY KEY (CLIENT_BU_ORG_ID, UPSTREAM_FUNCTION_ID, DOWNSTREAM_FUNCTION_ID, PROVIDER_BU_ORG_ID, CLIENT_BU_ORG_ID, UPSTREAM_FUNCTION_ID, DOWNSTREAM_FUNCTION_ID, PROVIDER_BU_ORG_ID)
);
